4.2.3 Tue 7 Oct 2014
- Fix DocBook4 entity text, BZ #1143060
- Remove extra white space from non-verbatim msgid's. BZ #1143792
- Fix PDF build using FOP fails with "No numberLines function available." BZ #1143852
- Add allow_network option. Defaults OFF. BZ #1144949
- Add hacks to work around BZ #1144220

4.2.2 Wed Sep 17 2014
- Fix duplicate messages in POT files. BZ #1136133
- Remove top level directory from drupal tar file. BZ #1139070
- Fix PDF font selection. BZ #1139899

4.2.1 Mon Sep 01 2014
- Remove empty msgids from POT files. BZ #1135143
- Fix highlight in callout with areaspec. BZ #1135827

4.2.0 Thu Aug 28 2014
- Add iframe video support to DocBook5 HTML5. BZ #752021
- Stop calculating column width if no width is set. BZ #1084860
- Simply styling of code, and admonitions in HTML5. BZ #1093498
- Added tip formatting. BZ #1033830
- Remove incorrect prompt. BZ #1096544
- Add "popper" to hide program listing after 4 lines. BZ #1088051
- Fix white space being removed from msgids when merging. BZ #1097090
- Add code language switching. BZ #1092351
- Fix CDATA support, bump XML::TreeBuilder dep to 5.3. BZ #1101050
- Add --showfuzzy to build options.
- Move PO manipulation to Locale::PO.
- Fix inline"\n" not working in verbatim. BZ #1097091
- Fix images for DB4 website callouts. BZ #1112899
- Remove newline after cdata. BZ #1110611
- Add Markdown output. BZ #1120455
- Bump Syntax::Highlight::Engine::Kate dep to 0.09.
- Add external link support. BZ #1123193
- Add 'th' to translation block list. BZ #1127462

4.1.7 Mon Aug 04 2014
- Another shot at fixing PDF index out of range error.

4.1.6 Tue Jul 29 2014
- Another shot at fixing PDF index out of range error.

4.1.5 Wed Jul 09 2014
- Add some web UI tranlstaion strings & sort formats. BZ #1117081
- Fix formal para title CSS. BZ #1110076

4.1.4 Thu Jul 03 2014
- Expose sort functions to version index page.

4.1.3 Wed May 21 2014
- Fix extra space breaking spec files with sort_order. BZ #1099262
- Make div.title bold in db4.css. BZ #1049661

4.1.2 Wed May 14 2014
- Fix broken DocBook5 validation stopping package builds. BZ #1097495
- Many updates to Users' Guide.

4.1.1 Thu May 8 2014
- Fix long tables and pre's breaking PDF build. BZ #1095574

4.1.0 Mon May 5 2014
- Add abstract to release notes so PDF builds
- Fix RPM upgrade not pulling in required XML::TreeBuilder version. BZ #1053609
- Allow PDF to build without any authors. BZ #1050975
- Increase XML::LibXSLT::max_depth to 10K. BZ #1035525
- Include entrytbl in cols count. BZ #1069405
- Add 'td' to translatable blocks list. BZ #1059938
- Treat entry like para for mixedmode tags. BZ #1039382
- Add blank page after cover page in PDF. BZ #1050770
- Fix replaceable override in DB 4.5 XSL. BZ #1054462
- Store processing instructions. BZ #1045463
- Add releaseinfo support. BZ #1050789
- Add support for wkhtmltopdf 0.12.0
- Add non-minified JS files. BZ #1062109
- Use term as ID node for varlistentry. BZ #1050836
- Fix acroread search and image issues. BZ #1038393 #1065810
- Add line numbering to DB5 html output. BZ #1074709
- Remove glossdiv and indexdiv headings from PDF TOC. BZ #1058545
- Add basic handling & style for revisionflag.
- Fix admonition style for wkhtmnltopdf 0.12.
- Pass chunk_section_depth to wkhtmltopdf. BZ #1044848
- Do not die on empty brand conf files. BZ #1037037
- Fix font embedding in PDF.
- Enforce RPM API requirements. BZ #1029293
- Fix desktop SPEC file creation. BZ #1081087
- Pass previous option to msgmerge. BZ #1081363
- Load splash pages in templates instead of using javascript. BZ #1081300
- Sync list layout across web and desktop styles. BZ #1080236
- Add dt_format parameter. BZ #1081808
- Provide gettext version of package name. BZ #1083102
- Fix step style. BZ #1080156
- Fix DD layout. BZ #1084242
- Fix tables breaking out. BZ #1082444
- Add zt_push and zt_pull for Zanata.

4.0.0 Wed Dec 18 2013
- Support DocBook 5 as input format. BZ #1005042
- Fix duplicate first author in PDF. BZ #996351
- Include DocBook 5-compatible templates. BZ #697366
- Fix UTF8 issue in ~/.publican.cfg. BZ #987325
- Replace abstract and subtitle xsl. BZ #953675
- Change Cover page font. BZ #1006134
- Fix TOC leader in PDF. BZ #1006056
- Fix PDF Legal Notice trademarks & formatting. BZ #970851
- Fix keyword lable showing in PDF when there are no keywords. BZ #1007146
- Indicate whether a translation is older in the web GUI. BZ #889031
- Include time in update_date. BZ #979846 
- Support web site navigation for books without HTML. BZ #885916
- Support ascending Revision History. BZ #999578
- Add ability to compy installed brand web content to another site. BZ #967664
- Fix PDF example.properties template. BZ #999586
- Fix PUG PDF format for OpenSuse. BZ #999581
- Simplify highlight error message. BZ #987059
- Add css styles for table sizes. BZ #1005640
- Tidy up Build.PL for better CPAN support. BZ #999259
- Fix image path for icon.svg. BZ #1011222
- Fix print_unused not handling include from higher directories. BZ #1004955
- Fix SVG fallback to PNG. BZ #990823
- Fix subtitle font size. BZ #987431
- Support grouping of books within a version. BZ #901560
- Remove bold from titles in Indic scripts. BZ #1006135
- Overhaul EPUB, basic CSS, harcode chunking, fix errors. BZ #883159
- Fix duplicate file listing in EPUB. BZ #875119
- Fix objects in EPUB not in catalog. BZ #875125
- Fix duplicate ID's in EPUBs. BZ #875116
- Fix ConfigData not being reset after testing on all platforms. BZ #999427
- Fix links to step not functioning. BZ #1009015
- Support GIT for distributed sets. BZ #864226
- Fix Build.PL not handling .mo files. BZ #1016421
- Bold and Center titlepage edition. BZ #1017548
- Fix broken use of pushd in Build.PL. BZ #1018608
- Remove XML from spec file abstract. BZ #1018796
- Fix UTF8 in publican.cfg not being handled. BZ #1020059
- Fix Indic PDF build on F19. BZ #1018024
- Fix UTF8 encoding for title in Revision_History.xml BZ #1020570
- Fix browser not detecting UTF8 on HTML5 files with .html extension. BZ #1018659
- Fix styling of DB4 example, package, & option. Remove html.longdesc.embed xsl. BZ #1023248
- Fix UTF8 in Groups.xml. BZ #1022575
- Add translations for "Edition" BZ# 1007141
- Add translations for "English is newer"  BZ #889031
- Fix broken or-IN translation.
- Update DB4 CSS steps, stepalts, OLs, term. BZ #1026173
- Remove chunk override from html.xsl. BZ #1026563
- Fix path to POD. BZ #1026563
- Update CLI translations
- Various fixes to Common Content + update Common Content translation. BZ #1027248
- Update and correct Debian installation instructions. BZ #1013934
- Correct OpenSUSE installation instructions. BZ #1000534
- Add Docker installation instructions. BZ #1015943
- Clarify where relative paths are used in brand instructions  - BZ #1028815
- Update and clarify translation instructions BZ #1021287 
- Expose glossterm in PO files to support sortas attribute. BZ #1030591
- Add report action to print readability statistics. BZ #1031364
- Change comment in syntax highlight to light grey. BZ #1030718
- Document use of "sortas" for indexes and glossaries in PUG
- Fix newline in translation affecting output. BZ #1036150

3.2.1 Wed Sep 04 2013
- Fix empty images dir causing packaging fail. BZ #995896
- Fix draft background being in front. BZ #996361
- Fix Titles that are ulinks are incorrectly positioned. BZ #995095
- Fix Syntax Highlighting not working when Language and Module names differ. BZ #995932
- Fix missing '/' on callout image url. BZ #998736
- Add string for brand customistaion BZ #1002388
- Fix translations updates missing from common PO files. #1000935

3.2.0 Thu Aug 8 2013
- Add spaces to web-spec.xsl to work around newer libxml2 eating white space in spec files.  BZ #982424
- Fix typos in common content. BZ #952490 #974918
- Stop menu bouncing. BZ #953716
- Fix ID missing from admonitions. BZ #966494
- Support corpauthor for PDF. BZ #908666
- Fix nested block tags breaking translation flow. BZ #909728
- Fix multiple calls to update_po breaking packaging. BZ #891167
- Add website labels and translations. BZ #979885
- Add orgname to block/inline code. BZ #872955
- Fix get_keywords not using correct info file. BZ #957956
- Improve web print CSS. BZ #927513
- Fix pre border in PDF. BZ #905752
- Fix epub DOCTYPE. BZ #875129
- Fix step first child style. BZ #971221
- Fix long link word wrap in PDF. BZ #923481
- Support case-insensitive "language" attribute. BZ #919474
- Apply title style patch from Jaromir Hradilek. BZ #924518
- Expose %book_ver_list to products/versions_index.tmpl. BZ #962643
- Allow brands to ship web templates. Add site config toc_js. BZ #956935
- Add pdftool option to build for pdf tool control. BZ #953728
- Add default mapping for language to locale. BZ #844202
- Fix ID missing from translated Revision History. BZ #911462
- Add pub_dir option to override publish directory. BZ #830062
- Removed show_unknown parameter and associated code. BZ #915428
- Add img_dir parameter to override images directory. BZ #919481
- Support all DocBook conditionals. BZ #919486
- Flag spaces in product number as invalid. BZ #973895
- Standardized prompts in commands. BZ #880456
- Updated web_formats publican.cfg info BZ #839141
- Replaced 'home page' with 'product or version page' BZ #921803
- Replaced a broken link to CPAN with a working link BZ# 973461
- Remove duplicate brand files from base install. BZ #966143
- Add extras_dir parameter to override extras directory. BZ #953998
- Fix PDF ignoring cover logo. BZ #974353
- Add trans_drop action to freeze source language for translation. BZ #887707
- Fix empty pot files not being deleted. BZ #961413
- Fix long title layout on cover page in PDF. BZ #956934
- Add Mac OS X Lion installation instructions. BZ# 979229
- Add file handle limit workaround to FAQ BZ #952476
- Support CDATA tags. BZ #958343
- Fix UTF8 image names getting mangled in publish. BZ #953618
- Add wkhtmltopdf_opts parameter to pass options to wkhtmltopdf. BZ #951290
- Fix edition missing on PDF cover pages. BZ #956940
- Support XML in add_revision member. BZ #862465
- Fix duplicate footnotes in bibliography. BZ #653447
- Fix Link from footlink to footlink-ref not working in PDF. BZ #909786
- Fix TOC draft watermark in PDF. BZ #905271
- Add common-db5 sub package. BZ #958495
- Support decimals in colwidth & convert exact measures to pixels. BZ #913775
- Tweak equation formatting. BZ #804531
- Fix POT-Creation-Date format. BZ #985836
- Fix site stats report swapping languages and products.
- Fix web_dir not used for home page packages. BZ #988191
- Updated web site instructions - BZ#979224

3.1.5 Mon Mar 18 2013
- Fix translated PDF encode issue when build from packaged books. BZ #922618

3.1.4 Tue Mar 12 2013
- Fix entities in Book_Info braking build. BZ #917898
- add translations of "Revision History". BZ #918365
- Fix TOC title not translated in PDF. BZ #918365
- Fix translated strings with parameters. BZ #891166
- update translations
- add it-IT translation of PUG via <fedora@marionline.it> BZ #797515

3.1.3 Fri Feb 22 2013
- Fix add_revision breaking XML parser. BZ #912985
- Stronger fix for cover pages causing page number overrun. BZ #912967
- Fix CSS for article front page subtitle. BZ #913016

3.1.2 Tue Feb 19 2013
- Fix tests failing when publican not installed. BZ #908956
- Fix broken mr-IN/Conventions.po. BZ #908956
- Fix footnote link unclickable. BZ #909006
- Fix missing translations for common files. BZ #908976
- Fix using edition for version on cover pages. BZ #912180
- Fix nested entities causing XML::TreeBuilder to fail. BZ #912187
- Fix for cover pages causing page number overrun. BZ #912967
- Fix PDF ignoring logo image. BZ #974353

3.1.1 Thu Feb 07 2013
- Fix web site CSS for admonitions breaking layout for books built on P3.0. BZ #908539

3.1.0 Wed Feb 06 2013
- Add Interlingua support from Nik Kalach <nik.kalach@inbox.ru> BZ #863899
- Replace hard coded paths with Publican::ConfigData. BZ #661946
- Ensure Publican source builds and tests without Publican being installed. BZ #874180
- Fix broken menu alignment. BZ #880621
- Ensure clean_ids doesn't change owner or group. BZ #854425
- Fix incorrect Revision order. BZ #845432
- Add OpenSuse Install Section by Norman Dunbar <norman@dunbar-it.co.uk>. BZ #787243
- Fix POD typos. BZ #874277
- Remove place holder P tag from HTML para. BZ #847206
- Allow brands to override DocType Type and URI. BZ #839128
- Ignore unexpected parameters in cfg file, and emit a message. BZ #875021
- Support scripts directory in brands. BZ #839975
- Remove hard coded border from tables. BZ #875967
- Allow menu_category to be localisable. BZ #872432
- Fix UTF8 in brand_path breaking build. BZ #875021
- Support wkhtmltopdf cover pages. BZ #874344
- Add support for book_templates in brands. BZ #874344
- Fix draft not appearing in PDF. BZ #873586
- Change some H tags to DIV. BZ #846899
- Remove DocBook TOCs from PDF. BZ #874795
- Use better TOC for PDF. BZ #879388
- Fix directory ownership in SPEC file. BZ #894522
- Fix link resloution. BZ #879388

3.0.0  Wed Oct 31 2012
- Update Changes file. BZ #661568
- Cleaned up README file.
- Corrected document conventions text. BZ#651616
- Make XmlClean use File::Inplace instead of grep & sed. BZ #661567
- Deleted STRICT mode. Added banned_tags and banned_attrs configurations. BZ #663202
- Fix command example in PUG. BZ #663211
- Use revision history for edition and release. BZ #642127
- Deleted edition and release config parameters. BZ #642127
- Add add_revision action and associated options. BZ #642127
- Fix wrong BuildRequires and path for desktop packages. BZ #676472
- Correct typos. Yuri Chornoivan <yurchor@ukr.net> BZ #676997
- Fix CreateBook texts missing from pot file. BZ #677119
- Add --msgmerge to update_po to override using internal POT/PO merging. BZ #661569
- Added base_brand config option for brands to allow multiple base brands. BZ #697367
- Added site config toc_type to allow selecting TOC styles. BZ #697375
- Added authortest target for author tests.
- Purge Site statistics, site tech and HTML site map. BZ #697376
- Truncate PO Fuzzy/Un-transtaled message, added PO line number. BZ #697380
- Add Author_Group.xml handling for translations. BZ #697371
- Split pod from publican command to allow auto-generation.
- Fix bridgehead links not working in html. BZ #711348
- Re-add API check. BZ #742097
- Fix wkhtmltopdf format when building web packages.
- Fix sort order of books in website navigation. BZ #743792
- Extra bottom margin for screen. BZ #738689
- Change stepalternative list style. BZ #687894
- Add print_unused_images action. BZ #724850
- Fix print_unused not matching relative paths. BZ #740417
- Fix empty parameters being parsed as arrays. BZ #744964
- Removed border from blockquote. BZ #734154
- No newline after email when inline. BZ #745304
- Add Indic fonts to RPM spec requires.
- Switch RPM spec requires from FOP to wkhtmltopdf
- Remove old2new action & Makefile::Parser dep. BZ #752640
- Override install & common paths on darwin. BZ #752620
- Remove Image::Magick & Image::Size deps and max_image_width option. BZ #752637
- Treat graphic like imagedata. BZ #754340
- Support superscript, fix color. BZ #726548
- Fix test warnings and errors. BZ #747871
- Change title page layout.
- Remove trailing slash from --langs completion. BZ #757182
- Remove white space munging from XmlClean. BZ #756756
- Fix corpauthor killing FOP. BZ #756864
- Remove --cvs option.
- Update Conventions translation in pt-BR <ldelima@redhat.com>
- Fix build failing when source language directory is read only. BZ #798484
- Add src_dir parameter to allow building outside source tree. BZ #798485
- Apply Spanish translation update from Ismael Olea. BZ #787739
- Added web_cfg to allow non-standard paths for rpm based web sites.
- Ensure xml:lang is set by XmlClean for DocBook 5 sources. BZ #696397
- Added handling of defaults file. BZ #599283
- Catch txt not being rebuilt. BZ #802576
- Catch invalid version when installing book. BZ #748657
- Fix duplicate IDs in HTML outputs. BZ #788576
- Fix some epub validation errors. BZ #701667
- Add brand_dir option and publican XSL name space. BZ #800252
- Consolidate DataBase entries. BZ #707833
- Add sort_order parameter. BZ #744661
- Fix para tag not getting newline in TXT output. BZ #773120
- Rework toc style to fit long name products and books. BZ #696834
- Fix PO merge output order. BZ #808088
- Fix new entires in merged PO being double escaped. BZ #818768
- Fix false warning "Message missing from PO file". BZ #737426
- Fix create_brand not copying images. BZ #832345
- Fix rename requiring --name parameter. BZ #694698
- Add rev_file and info_file parameters. BZ #804917
- Fix multiple actions not being caught. BZ #838427
- Fix web_style 1 index being used when splash is installed on web_style 2 site.
- Fix table layout in HTML. BZ #847025
- Add file name to error message. BZ #846812
- Add print.css to generic web site. BZ #847552
- Fix missing IDs from many objects. BZ #848610
- Keep processing instructions in XML. BZ #819420
- Fix DOCTYPE in revision history merge. BZ #849030
- Fix incorrect Revision order. BZ #845432
- Fix fop.xconf missing. BZ #831475
- Fix ID dedupe code for sections. BZ #856555
- Fix clean_ids changing file perms. BZ #854425
- Added Drupal 6 export. BZ #850635
- Fail to import rows which title is longer than 128 characters. BZ #860927
- When update the drupal book, the index displays twice. BZ #861374
- Cannot generate drupal book in publican-doc-3.1-0.el6eng.t7 BZ #863927
- Fix DocBook5 subtitle support. BZ #850497

2.8 Thu Sep 22 2011
- Fix draft mode always on in PDF. BZ #740123
- Remove rpmlint checks. BZ #735688
- Fix Too late for -CA messages in tests. BZ #738161

2.7 Tue Sep 06 2011
- Relax version constraint. BZ #729824
- Only set dist for rpmbuild if os_ver set. BZ #729826
- Re-enable draft mode. BZ #727756
- Don't wait for brew unless told to. BZ #731601
- Place icons directory in lang dir when packaging. BZ #732608
- Fix eclipse not loading eclipse help output. BZ #727739
- Fix part TOC layout. BZ #671304
- Add code to test wkhtmltopdf.
- Change default web_formats order to make wkhtmltopdf faster.
- Fix quote being escaped in TOC. BZ #734290

2.6-3 Thu Jul 28 2011 
- Force publican to use UTF8 for command line options.
- Add rpmlint cfg for brew checks.

2.6-2 Wed Jul 27 2011 
- Fix archness ... java hate increases

2.6 Mon Jul 25 2011 
- Catch FOP failing. BZ #661551
- Have XmlClean treat address element as verbatim. BZ #662907
- Fix task missing ID. BZ #672439
- Fix startinglinenumber ignored & XML entites not being escaped. BZ #653432
- Fix perl critic encoding check failing. BZ #684509
- Update docbook-style-xsl req to 1.76.1 for epub change. BZ #697382
- Add keep_id to steps. BZ #697370
- Update BZ links to point to Publican component.
- Catch empty tags that break packaging. (abstract, subtitle) BZ #663206
- Add rpmlint check for mock builds. BZ #663203
- Fix web menu localisation being lost on rebuild from package. BZ #662897
- Fix UTF8 issue in TXT output. BZ #673855
- Fix some set validation errors. BZ #673402
- Fix packaging of stand alone sets. BZ #689347
- Switch normal output to STDOUT, added croak call. BZ #688447
- Added mainfile parameter. BZ #688585
- Add rename action. BZ #694698
- Added detection of mixed_mode tags to XmlClean. BZ #688286
- Add update_db action to allow more robust packaging. BZ #661948
- Fix show_unknown not working. BZ #662162
- Fix version 0 not installing on web site. BZ #702550
- Don't validate xml parsed as text in print_unused. BZ #705956
- Add manual_toc_update config for web-sites. BZ #719573
- Use the force option for cvs-import.sh BZ #718102
- Fix admonition layout. BZ #715158
- Fix indexterm tag causes a line split in PDF. BZ #713669
- Add no_embedtoc config for brands. BZ #723725
- Removed auto addition of '-0' to invalid revnumber. BZ #628464

2.5  Fri Dec 02 2010 
- Use SPEC_VERSION for splash page spec files
- Force removal of old packages

2.4  Thu Dec 02 2010 
- Add de.po to MANIFEST
- Add menu hide option. BZ #650037
- Only set title attribute in HTMl if alt text is set. BZ #651247
- Changed tabs to spaces in the specfile xsl BZ #652120
- Fix broken version splash page icon. BZ #647360
- Add web_formats option. BZ #647360
- Add Lohit Devanagari to Marathi font list. BZ #654554
- Stop publican setting imagedata format. BZ #654939
- Fix DocBook 5 DTD string format change. BZ #655621
- Add dt_requires and menu_category options. BZ #647352
- Remove web PDF from Indic + ar-SA,fa-IR,he-IL. BZ #655713
- Fix publish breaking UTF8 file names. BZ #648126
- Fix non-en lang breaking website strings. BZ #656139
- Fix IE8 javascript and layout issues. BZ #656531
- Remove Red elements from interactive.css. BZ #650950
- Added support for home page site_overrides.css file.  BZ #650950
- Add check for outdated SRPMS.
- Enable override RPM site config. BZ #695545

2.3  Tue Oct 26 2010 
- Prepend product name to product/version splash pages.
- Fix bash completion for --brand and --type.
- Use --nocolours in spec files.
- Update tocs when home/product/version pages are updated. BZ #612027
- Scroll to current entry in navigation menu.
- Highlight current book in navigation menu.
- Fix single quote in abstract/subtitle breaking RPM install. BZ #642088
- Fix RPM website not installing cleanly.
- Fix splash page icon wrap. BZ #642109
- Moved titles before: example, equation, table. BZ #638787
- Change html and PDF style for verbatim & example. BZ #638787
- Change html and PDF style for admonitions. BZ #638787
- Fix HTML footer style and layout.
- Add bump action Tech Preview.
- Fix indexterm merge missing nested nodes. BZ #643275
- Add phrase to translatable tag list. BZ #643287
- Fix POT files breaking when using HTML::Tree 4.0.
- Fix translated label missing from manually installed book. BZ #643781
- Add icon.svg to Create Book. BZ #644105
- Add XML dump options for site config.
- Fix histroy typo
- Stop max_image_width overriding XML width settings.
- Decrease white space at top and bottom of PDF.
- Fix toc links to refentry in chunked HTML. BZ #645602
- Fix bridgehead links not working in html. BZ #711348

2.2  Wed Oct 06 2010 
- Extend callout graphics to 40; adjust colour and font BZ #629804
- Make keycombo example consistent with RHEL6 behaviour. BZ #618735
- Restrict CSS style for edition to title pages to avoid applying to bibliographies
- Fix images/icon.svg breaking rpm build. BZ #612515
- Fix empty term breaking PDF build. BZ #614728
- Fix footnote not catching modified para. BZ #565903
- Fix SRPM not including web labels. BZ #621036
- Update tocs when home page is updated. BZ #612027
- Don't display stats for unused languages. BZ #613500
- Fix admonitions/varlistentry not having IDs. BZ #616112
- Fix procedure/itemizedlist/orderedlist not having IDs. BZ #612817
- Catch invalid revision in translation. BZ #621721
- Limit index.html redirection to installed languages. BZ #612009
- Fix smaller width being overridden by max_image_width. BZ #613140
- Fix support for def_lang for web sites. BZ #622030
- Remove ant trails from selected links.
- Add --novalid option to disable validation when building. BZ #616142
- Revert change to escaping ', ", >, <. BZ #628266
- Add support for product and version splash pages. BZ #613502
- Fix unused version breaking product hiding.
- Add support for alerts for parameters.
- Add bash completion.
- Validate revnumber for changelog. BZ #628464
- Add basic man page support. BZ #632027
- Add basic support for line numbers. BZ #629463
- Add warning messages for out of date translations.
- Add productname to IGNOREBLOCKS. BZ #625316
- Add OPDS support. BZ #615831
- Fix translated labels in web nav. BZ #631647
- Remove highlighting from output of prompt tag in html. BZ #618902
- Resize index title font to a sane size. BZ #624392
- Fix misapplied fonts for CJK. BZ #628786
- Fix attributes breaking translation merge. BZ #638816
- Fix entities missing from RPM description. BZ #626254
- Add bridgehead_in_toc parameter. BZ #616123
- Support '--lang all' for lang_stats.
- Left align CJK in PDF. BZ #639811
- Fix constraint regex on docname and productname. BZ #640082

2.1  Tue Jul 06 2010 
- Fix broken install_book not updating DB.
- Fix typos in docs.

2.0  Tue Jul 06 2010 
- Add Publican::Website.
- Add web_*_label params for web menus.
- Add underscores to cleanset, installbrand, and printtree. BZ #581090
- Update docs with Website content
- Update brand license text.
- Fix different log jar path on F14+
- Add constraint to help_config output.
- Fix segfault when indexterm has no leading content. BZ #592666
- Fix inline indexterm. BZ #592823
- Translate productname tag. BZ #592669
- Fix formalpara missing ID. BZ #595564
- Add dummy lang.css to avoid 404's. BZ #595799
- Improve validation error message. BZ #593887
- Fix qandaentry ID. BZ #593892
- Fix Icon non-conformance. BZ #593890
- Fix admonitions splitting across pages. BZ #596257
- Fix HTML simple list border. BZ #599258
- Fix formal object IDs. BZ #601363
- Fix Revision History layout. BZ #559787 #598828 #598833
- Remove title color from term in HTML. BZ #592822
- Fix highlight breaking callouts. BZ #590933
- Add support for LineColumn coords in area tag.
- Update font requires for F12 and F13.
- Fix clean_ids adding newline to verbatim. BZ #604465
- Fix index missing ID. BZ #606418
- Fix files dir being missed. BZ #609345
- Adjust admonition layout.

1.6.3  Wed May 12 2010 
- Disable verbatim hyphenation. BZ #577068
- Fix anchors breaking HTML. BZ #579069
- Fix common options not in help text.
- Fix formatting of abstract in spec. BZ #579928
- Translate verbatim tags. BZ #580360
- Add print_unused option. BZ #580799
- Overwrite zero length PO files. BZ #581397
- Fix citerefentry breaking translation. BZ #581773
- Fix reference bug in html-single.
- Added print_known and print_banned actions.
- Fix typo in POD. Raphaël Hertzog <hertzog@debian.org>
- Fix indexterm translation. BZ #582255
- Fix non-breaking space being treated like normal white space. BZ #582649
- Fix webkit & pdf table borders. BZ #585115
- Make indexterm translatable. BZ #582680
- Make keyword translatable. BZ #583224
- Add Eclipse help target. BZ #587489
- Convert MAX_WIDTH to a parameter max_image_width. BZ #580774
- Add confidential text to title, first, and blank pages in PDF. BZ #588980
- Add confidential_text parameter. BZ #588980
- Fix article list formatting in HTML. BZ #588999
- Fix epub validation issues. BZ #589333
- Fix xref to term with indexterm BOOM. BZ #580751
- Fix keyword highlight breaking callouts. BZ #590933
- Fix right icon misaligned. BZ #590964

1.6.2  Thu Apr 01 2010 
- Fix hyphenate.verbatim running out of depth. BZ #577095
- Fix UTF8 error in translations. BZ #576771
- Add surname and othername to translatable tag list. BZ #578343
- No fuzzy strings in merged XML. BZ #578337
- Allow clean_ids to add entity reference. BZ #576462
- Added --quiet and --nocolours. BZ #578366

1.6.1  Mon Mar 22 2010 
- Fix package_brand including unwanted files. BZ #570715
- Fix empty lines breaking callouts. BZ #570046
- Detect verbatim content in translatable content. BZ #571633
- Fix missing IO::String requires properly. BZ #568950
- Add print style sheet to XHTML. RT #60327
- Force UTF8 on all files. BZ #570979
- Fix comments in callout breaking build. BZ #572047
- Fix table border display. BZ #572995

1.6  Mon Mar 01 2010 
- Fix missing IO::String requires. BZ #568950
- Fix xml_lang error. BZ #569249

1.5  Fri Feb 26 2010 
- Croak if profiling would remove root node.
- Add Archive::Zip to Build.pl
- Fix --config and add to help text
- Force footnotes and indexterms to be inline for translations. BZ #563056
- Add CVS package option. RT #59132
- Fix white space issues in abstract. BZ #559823
- Fix translation strings not matching correctly BZ #563397
- Fix entity with underscore. BZ #561178
- Fix config values of zero being ignored. BZ #564405
- Fix footnote number missing in footer. BZ #565903
- Fix duplicate text in callouts. BZ #561618
- Remove outdated references to catalogs parameter. BZ #565498
- Fix white space in book name breaking creation.
- Fix nested tag with similar name breaking translation. BZ #568201
- Fix translated packages using source version.
- Switch from object to iframe BZ #542524
- More accurate word counts for translations reports.

1.4  Fri Jan 29 2010 
- make font BuildRequires match requires.

1.4  Mon Jan 25 2010 
- Ignore obsolete entries in stats code. BZ #546130
- Fix valid_lang matching on unknown languages.
- Fix invalid tag in DTD. BZ #548629
- Added contrib to translation tag list. BZ #550460
- Added firstname, lastname, orgname to translation tag list. BZ #555645
- Remove comments from translations. BZ #555647
- Fix content in root nodes not being added to pot. BZ #554261
- Fix mixed mode content being dropped when merging translations. BZ #549925
- Fix ID creation in refentry. BZ #553085
- Add gettext Requires. BZ #550461
- Fix non-default tmp dir. BZ #551974
- Fix validation output. BZ #556684
- Fix tag attributes breaking translation merge. BZ #554230
- Format XML when running create. BZ #556201
- Switch Japanese font to ipa-gothic-fonts on Fedora.
- Fix Japanes mono/proportional font selection.
- Add TTC build time script. BZ #557336
- Add check for main file before parsing.
- Add check for OS before running FOP.

1.3  Tue Dec 08 2009 
- Fixed --version BZ #533081
- Fixed empty params in new book cfg file. BZ #533322
- Fixed clean_ids taking too long.
- Added nowait option for brew.
- Improved epub support. BZ #536706
- Add missing rpm-build req. BZ #537970
- Changed ol ol style. BZ #537256
- Fix missing revision history field crash. BZ #539741
- Fix bug in condition logic in XmlClean. BZ #540685
- Add translation stats. BZ #540696
- Stopped processing xml files in extras dir. BZ #540383
- Fixed callout rendering. BZ #531686
- Fix wrong docs for condition usage. BZ #540691
- Remove list style from stepalternatives. BZ #511404
- Force step::para to keep-with-next if followed by a figure.
- Edited Conventions.xml.
- Exclude Legal_Notice.xml from pot creation.
- Fix nested XML breaking translations.
- Fix syntax highlighting adding whitespace. BZ #544141
- Better error message for Kate language mismatch.

1.2  Wed Nov 4 2009 
- Fix images missing from distributed set output. BZ #532837
- Correct image path when running clean_ids.
- Fix typo in format description. BZ #532379
- Add comment to clean.
- force package to run clean to avoid stale content. BZ #538676

1.1  Mon Nov 2 2009 
- Fix brew failure. BZ #532383
- Fix distributed sets no packaging properly.
- Translation of Document Conventions to Greek.  Dimitrios Typaldos <dimtyp@gmail.com>

1.0  Mon Oct 26 2009  
- Add base langauge summary & descriptions to translated spec file. BZ #515573
- Fix translated package build failure.
- Change tabs to spaces in generated spec files.
- Fix Locale::Maketext::Gettext dep being missed on RHEL.
- Fix common paths on Windows
- Added docbook-style-xsl dep for version 1.75.1+
- POD fix from Mikhail Gusarov <dottedmag@dottedmag.net>
- Added processing file message to update_pot. BZ #518354
- add EPUB stub
- Clean up Copyright in numerous files.
- Add security callback for exslt:document.
- Update XML::LibXML & XML::LibXSLT minimum versions to 1.67
- Fix rounded corners in HTML. BZ #509768
- Fix nested images breakin in PDF. BZ #491782
- Remove border from HTML table for simplelist. BZ #502126
- Fix remarks not being highlighted in PDF. BZ #509307
- Resize shade.verbatim font size. BZ #497462
- Change step page size limitation to para size limitation. BZ#492984
- Add warning message for missing images. BZ #495821
- Fix fuzzy images. BZ #479794
- swap from paths from Publican to publican and obsolete beta packages.
- Fix large example PDF issue. BZ #531685
- Translation of Document Conventions to Asturian. Iñigo Varela <astur@softastur.org>
- Adaptation of Document Conventions from de-DE for de-CH. Fabian Affolter <fab@fedoraproject.org>
- Correct typos in de-DE. Fabian Affolter <fab@fedoraproject.org>
- Translation of Document Conventions to Bulgarian. Martin Stefanov <f0x1@mail.bg>
- Update of Document Conventions in Polish. Piotr Drąg <piotrdrag@gmail.com>
- Translation of Document Conventions in Ukrainian. Maxim V. Dziumanenko <dziumanenko@gmail.com>
- Translation of Document Conventions to Finnish. Ville-Pekka Vainio <vpivaini@cs.helsinki.fi>
- Translation of Document Conventions to Croatian. Josip Šumečki <shumi.1337@gmail.com>
- Translation of Document Conventions to Catalan. Robert Buj <robert.buj@gmail.com>


0.99  Sat Jul 18 2009  
- Rebase to Perl rewrite.

0.45  Wed Mar 25 2009 
- Add keep-together.within-column="always" to step. BZ #492021
- Fix right to left fo ar-AR. BZ #486162
- Patches and translations by Muayyad Alsadi <alsadi@ojuba.org> 
- Added missing doccomment and number to PDF highlight. BZ #491241
- Fix files dir missing from RPMs. BZ #492034

0.44  Wed Mar 11 2009  
- Add 0-9 and '.' to DOCNAME regex. BZ #489626

0.43  Mon Mar 9 2009  
- Fix many warnings about 'body-start() called from outside an fo:list-item' BZ #484628
- Fix Initial build of new lang failing. BZ #485179
- Add lang to final doc root node. BZ #486162
- Add embed for stanky IE. BZ #486501
- Add symlinks for langauges without country codes. BZ #487256
- Add rudimentary Obsoletes logic. RT #36366
- Rolled in following from fedora devel spec
- - Mon Feb  9 2009 Jens Petersen <petersen@redhat.com> - 0.40-4
- - update the sazanami-fonts subpackage names
- - list liberation-fonts subpackages explicitly
- - Fri Feb  6 2009 Alex Lancaster <alexlan[AT]fedoraproject org> - 0.40-3
- - Fix broken font deps: liberation-fonts -> liberation-fonts-compat
- - Sat Jan 24 2009 Caolán McNamara <caolanm@redhat.com> - 0.40-2
- - cjkunifonts-uming -> cjkuni-uming-fonts
- - Thu Jan 22 2009 Alex Lancaster <alexlan[AT]fedoraproject org> - 0.40-1
- - Font changes baekmuk-ttf-fonts-batang -> baekmuk-ttf-batang-fonts to
-   fix broken deps in rawhide
- Translate Document Conventions into Polish. Piotr Drąg <piotrdrag@gmail.com>
- Translate common Feedback section into Polish.  Piotr Drąg <piotrdrag@gmail.com>
- Translate Document Conventions into Dutch. Richard van der Luit <zuma@xs4all.nl>
- Translate Document Conventions into European Portuguese. Rui Gouveia <rui.gouveia@globaltek.pt>
- Translation of Document Conventions to Indonesian. Teguh DC <dheche@songolimo.net>


0.42  Thu Jan 29 2009 
- Support chapterinfo, keywordset & keyword tags.
- Add SRC_URL. BZ #482968
- Fix web package removal when dep package has been removed.

0.41  Mon Jan 19 2009 
- Fix Source tar name.
- Fix brew srpm path
- Added OS_VER to allow over ride of OS srpm is created for.

0.40  Mon Jan 5 2009 
- Fix DRAFT mode in web docs.
- Fix TOC CSS spacing.
- Fix missing syntax highlighting templates. BZ #474077
- Added appendix to user guide for Makefile parameters. BZ #476913
- Fix multiple authors in revhistory. Patch by: Paul W. Frields. BZ #478552
- Add LICENSE override for RPMs. BZ #477720
- Fix empty change log. BZ #477728
- Fix spec file location. BZ #477704
- Added newline after country. BZ #477573
- Fix minimum font size breaking TOC. BZ #476884
- Fix missing font-metric files. BZ #479592
- Updated redhat brand license. BZ #478405
- Update jboss brand license. BZ #478416
- Ship PDF with Indic web packages.

0.39  Mon Dec 1 2008 
- Disable make.graphic.viewport. BZ #467368
- Add missing XEP namespace. BZ #467256
- Add catch for ValidateTables where table for tgroup could not be found. BZ #468789
- Fix right margin error on verbatim and admonitions in PDF. BZ #467654
- Added foreignphrase to list of validated tags.
- Add foreignphrase, acronym, hardware to list of tags aspell should ignore.
- Fixed left align of verbatim items in notes.
- Fixed contrib class in CSS. BZ #469595
- Changed para & simpara to div in HTML. BZ #469286
- Fix layout of author in Revision History. BZ #469986
- Validated function tag. BZ #471144
- Fixed menu entry text. BZ #470967
- Validated type, methodname, excAppendix.xmleptionname, varname, interfacename tags. BZ #461708
- Banned glosslist (untranslatable) BZ #461864
- Validated uri, mousebutton, hardware tags. BZ #461870
- Validated othername tag. BZ #464315
- Removed collab from front page to match PDF output. BZ #469298
- Formalised handling of draft mode, root node only. BZ #468305
- Removed old help text from create_book and make type case insensitive. BZ #471776
- Fixed footnote numbers collapsing together. BZ #462668
- Fix translation report for po in nested directories.
- Changed Formal Para Title to follow parent indent. BZ #466309
- Validated qandadiv, tweaked layout. BZ #472482
- Handle xslthl:annotation. BZ #472500
- Fix dot on docnav css. BZ #472627
- Fix ol display in article. BZ #472491
- Added section of Drafting rules. (bforte)
- Fix CCS display of image in term.
- Add product URL. Modify header to use product url.
- Fix formalpara missing div. BZ #473843
- Fix OL missing margin in article. BZ #473844

0.38  Thu Oct 16 2008 
- Fix inline tags removing following new line in verbatim tags. BZ #461369
- Fix Numeration settings for HTML ordered lists. BZ #462601
- Fix PDF Example background color. BZ #463127
- Fix list item spacing. BZ #462673
- Fix translation report error on 2 charater langs, CSS, and layout. BZ #465201
- Added error for tgroup.cols not matching entry count. BZ #462205
- Fix TOC padding for appendix and glossary. BZ #462991
- Made comments in highlighted code more prominent. BZ #462552
- Added citerefentry, refentrytitle, and manvolnum to list of QA'd tags. BZ #464038
- Fixed '1' in ulink with no text. BZ #465411
- Change env path to be more portable. Patch by Artem Zolochevskiy . BZ #466194
- Added package meta to XHTML to allow content to be tracked to an RPM.
- Added catch for missing title and productname.
- Changed Formal Para Title to follow parent indent. BZ #466309
- Fix xmlClean not handling entity names with underscores or numbers. BZ #466994
- Fix clean_ids removing comments. BZ #467145
- Fix missing revhistory giving useless error. BZ #467147
- Stopped proecssing xml files in extras directory.
- Added conditional tagging to user Guide. By Don Domingo.

0.37  Wed Sep 3 2008 
- Fix Bug in web rpm upgrade script.
- Fix Article not building rpms.
- Switch ja-JP  font name in pdf from SazanamiMincho to SazanamiGothic
- Remove empty para tags to break en-US HTML build so writers stop breaking translations.
- Changed docs reference from --revision to --edition for create_book option
- Fixed Article layout not matching Book Layout. BZ #460969
- Fixed Part not ledded properly in TOC BZ #460976
- Fix duplicate IDs in XHTML output.
- Made background of remark a pretty yellow. BZ #459213
- Fix Accessibility typo. BZ #460856
- Fix spurious hyphenation in verbatim.
- Fix broken RPM packages when titles have been translated.
- Fix display bug in html-single. BZ #461375
- Added FAQ entry for Java weirdness. BZ #460738
- Add default encoding to XML files. BZ #461379
- Removed corpauthor from template. BZ #461222
- Fixed create_book help text. BZ #460736
- Added menuchoice tag. BZ #459671
- Removed unused scripts entity2pot and po2entity

0.35  Mon Sep 1 2008 
- Add missing xerces-j2 Requires. BZ #457497
- Fixed css path for tranlation reports.
- Fixed font path for Fedora, ensured build fails if font metric creation fails. BZ #458003
- Set vertical-align:top for TD - BZ #457851
- Added WARNING for ENTITIES declared in XML files. BZ #456170
- Added check to ensure PRODUCT has a valid format.
- Only check xml files for revision history. BZ #458740
- Made VERSION and RELEASE over-rideable. BZ #458421
- Fixed display of OL nested in UL. BZ #457915
- Added "make pom" to output a basic maven pom file.
- Updated doco. BZ #458764
- Updated Conventions.xml. BZ #456026 #459216
- Made PDF and HTML display product version in similar style. BZ #456486
- Remove ID's from common files. BZ #460770
- Allowed footnote to keep ID. BZ #460790
- Fixed bogus verbatim layout. BZ #460771

0.34  Fri Apr 11 2008 
- Fix PO file name missing from translation status report
- Modify xmlClean to output dummy content for empty files (beta)
- Default SHOW_UNKNOWN tags off
- Make unset entity warnings more obvious
- Make docs use DESKTOP styles
- Fix missing list image in html-single articles
- Commented out debug output in chunking xsl
- QANDA set html and css fix BZ #442674
- Fix kde requires. BZ #443024
- Add default FOP xconf file.
- Added help_internals target.
- Added check for banned tags.
- Added --lang to create_book BZ #444851
- Added package tag BZ #444908
- Added ability to ship $lang/files directories with html/xml payloads BZ #444935
- Hardcoded PDF footnote colour to black BZ #446011
- Set segmentedlist.as.table to 1. BZ #445628
- Force monospace on command
- Switched to FOP 0.95Beta
- Fixed crash bug on files names with parentheses BZ #447659
- Fix loose directory name matching when exluding directiories.
- Added GENERATE_SECTION_TOC_LEVEL to allow section level TOC control. BZ #449720
- Banned inlinegraphic. BZ #448331
- Added Article and Set Templates
- Banned xreflabel and endterm. BZ #452051
- Generate FOP config file and font-metricfiles as build. BZ #451913
- Changed HTML and PDF common brand to more pleasing colors. BZ #442675 
- Fixed incorrect PDF colours on Fedora and Common brands. BZ #442988
- Fixed PDF TOC missing Chapter numbers on Sections. BZ #452802
- Fixed spaces being removed between inline tags. BZ #453067
- Changed TOC layout (bold chapters + spacing). BZ #453885
- Changed title spacing, unbolded figure/table titles.
- Fix over size images breaking PDF and HTML layouts
- Add missing make Requires. BZ #454376
- Added call to aspell to spell check.
- Fixed incorrect other credit title in PDF. BZ #454394
- Turned on Hyphenation to split verbatim lines.
- Added code highlighting to CSS and PDF
- Remove trailing '.' from formal para title. BZ #455826
- Restructure CSS for easier maintenance of brands
- Add documentation on publican design philosophy. BZ #456170
- Italicised package tag. BZ #442668
- Updated documentation descriptions of Book_Info.xml tags. BZ #456489 BZ #456488


0.33  Mon Apr 7 2008 
- Remove release from package name in html desktop spec file
- Removed --nonet from xsltproc call BZ #436342
- Add Desktop css customisations

0.32  Thu Apr 3 2008 
- Bump version

0.31  Tue Mar 18 2008 
- Fixed Project-Id-Version not being set on PO creation BZ #435401
- Fixed java slowing down every make run BZ #435407
- cleanIds now sets format for imagedata
- Fixed Desktop RPM build errors
- Added param DOC_URL BZ #437705
- Changed Default DOC_URL to publican web site
- Fixed perl-SGML-Translate file conflict
- Removed --nonet from xsltproc call BZ #436342
- Removed extra files logic from spec and xsl files.

0.30  Thu Feb 24 2008 
- Added missing Requires perl(XML::TreeBuilder)
- Fix xref to listitem breaking BZ #432574
- Die with a decent warning when an invalid Brand is chosen. BZ #429236
- Modified title page of PDF. BZ #429977
- Fix PDF list white space issue BZ #429237
- Fix PDF ulinks too big for tables BZ #430623
- Allowed rev history to be in any file BZ #297411
- Fix keycap hard to read in admon BZ #369161
- Added per Brand Makefile
- Add per Brand xsl files
- Added Requires elinks (used for formatted text output)
- Handle different FOP versions
- Fix PDF issue with nested images
- Added id_node to clean_ids to use none title nodes for id's BZ #434726
- Fix footnotes being duplicated in wrong chunks BZ #431388
- fixed bold text CSS bug for BZ #430617

0.29-2  Wed Feb 13 2008 
- replace tab in changelog with spaces

0.29  Tue Feb 12 2008 
- removed %%post and %%postun as update-desktop-database is
-   for desktop files with mime types
- removed release for source path and tar name
- fixed package name in desktop file to include -doc
- switched from htmlview to xdg-open
- Added xdg-utils requires for doc package

0.29  Tue Feb 12 2008 
- Setup per Brand Book_Templates
- Fix soure and URL paths
- Use release in source path
- correct GPL version text and changed file name to COPYING
- dropped Provides
- reordered spec file
- added fdl.txt to tar ball.
- added fdl.txt to doc package

0.28  Mon Feb 11 2008 
- Added gpl.txt
- Fix GPL identifier as GPLv2+
- Fixed Build root
- Fix desktop file
- Added Provides for documentation-devel
- Fix dist build target
- Add dist-srpm target
- fix dist failing on missing pot dir
- Put docs in sub package
- Added GFDL to License to cover content and Book_Template directories.
- Included GFDL txt file
- set full path to source

0.27  Thu Feb 07 2008 
- Use docbook-style-xsl: this will break formatting.
- Update custom xsl to use docbook-xsl-1.73.2: this will break formatting.
- Remove CATALOGS override
- Remove Red Hat specific clause from Makefile.common
- Fixed invalid xhtml BZ 428931
- Update License to GPL2
- Add GPL2 Header to numerous files

0.26-5  Fri Feb 01 2008 
- renamed from documentation-devil to publican

0.26-4  Thu Jan 17 2008 
- Tidy up %%files, %%build, %%prep and remove comments from spec file.
- Added --atime-preserve to tar command

0.26-3  Mon Jan 07 2008 
- Rename from documentation-devel to documentation-devil

0.26-2  Mon Jan 07 2008 
- tidy spec file

0.26  Wed Jan 02 2008 
- Added CHUNK_SECTION_DEPTH param to allow chunk.section.depth override. BZ #427172
- Fixed EXTRA_DIRS to ignore .svn dirs, Added svn_add_po target. BZ #427178
- Fixed "uninitialized value" error when product not set. BZ #426038
- Fixed Brand not updating. BZ #426043
- Replaced FORMAL-RHI with HOLDER in Book_Template. BZ #426041
- Remove reference to non-existant svg file. BZ #426063
- Override formal.title.properties for PDF. BZ #425894
- Override formal.object.heading for HTML. Fix H5 & H6 css. BZ #425894
- Prepended first 4 characters of tag to IDs to aid Translation. BZ #427312

0.25  Tue Dec 11 2007 
- Add html.longdesc.embed xsl param to allow long descriptions of images to be embedded in html output
- Remove Boilerplate files as ther are dupes of Legal_Notice
- Added BRAND Makefile param to allow branding books.
- renamed redhat.xsl to defaults.xsl
- Fixed product not being updated in Makefile when using create_book BZ #391491
- Removed embedded font from English PDFs as it Breaks searching
- Added user documentation
- create_book: fixed version and revision not working
- Added dist target to create tar & spec files for desktop rpms
- Made desktop rpms use html-single BZ #351731
- Removed gnome-doc-utils dep
- Removed docbook-style-xsl dep
- Removed perl-SGML-Translate dep
- Removed unused Config::Simple module
- Switch from Template to HTML::Template as it's already in Fedora
- Switched xlf2pot from XML::SimpleObject to XML::TreeBuilder
- Added error messages for invalid VERSION or RELEASE
- Changed Default PRODUCT to Documentation
- Added warning for default PRODUCT
- Differentiated brands
- rename rhlogo.png title_logo.png
- removed unused images
- cleaned build process

0.24  Tue Nov 6 2007 
- Fix bug with calling translation report script.

0.23  Mon Nov 5 2007 
- Add postuff to validate po files
- Add test-po-<LANG> targets to use po-validateXML from postuff
- Fixed error msgs in poxmerge
- Fix bug with directory creation for deeply nested po files
- Fixed bug where Common files could not access <bookname>.ent file BZ #322721
- Add entity for root using <systemitem class='username'>
- Added create_book command and files to allow local creation of new books
- Added SHOW_REMARKS make param to control display of remark tags
- Added OASIS dtd in xml for Kate users
- Sort image list for bin/rmImages to aid readability
- Modified padding and margins between figures and their titles
- Added DejaVuLGCSansMono font metrics
- Added DejaVuLGCSans Oblique metrics
- Added missing dejavu-lgc-fonts dep
- Added build message when copying Product Specific common files
- Move local entity to first position so it overrides common entity files
- Added missing DocBook tags to xmlClean:
-         accel blockquote classname code colophon envar example footnote
-         guisubmenu interface keycap keycombo literal literallayout option
-         parameter prompt property see seealso substeps systemitem wordasword
-         glossary glossdiv glosssee glossseealso
- Moved executables in to bin directory.
- Fixed layout of formal para titles in PDF
- Removed trunctaion and elipses from title used for page headers

0.22  Wed Oct 3 2007 
- Add handling of extras directory
- Fix Russian PDF font problem

0.21  Tue Sep 25 2007 
- Modified screen and programlisting to force closing tag to be on it's own.
- Added cmdsynopsis, arg, articleinfo, article, informaltable, group to xmlClean.
- Added CHUNK_FIRST to allow per book control of first section chunking.
-  Defaults to 1, first sections will be on their own page.
- Fix warning message on po files with no entries
- added role as class to orderedlist, itemizedlist, ulink, article
- Fixed po files in sub directories not being merged correctly
- Add website specific css

0.20  Tue Aug 28 2007 
- Added IGNORED_TRANSLATIONS to allow users to replace the chosen languages with
-  the default langauge text when building
- fix bug where build would fail if $(XML_LANG)/images did not exist
- Fix bug with rpm downgrade
- fixed CSS bug for preformatted text when rendered inside inside an example.

0.19  Tue Aug 28 2007 
- Add missing targets to help output
- Add missing variables to help_params output
- Improve help and help_params text
- Changed entity RHCRTSVER to 8.0 from 7.3
- Add DejaVuLGCSans back as Liberation is broken and Russian requires DejaVuLGCSans
- Modify Makefile to pull PO files from translation CVS
- Ensure Legal_Notice.po[t] is never used
- Add a warning message for GUI_String update-pot
- Fix Bug in GUI String publish targets
- Converted reports from hard coded HTML to Templates
- Publish GUI_String translation reports to same location as documentation reports.

0.18  Thu Aug 16 2007 
- Use ghelp to enable localised menus (BZ #249829)
- Fix broken if in subpackage.xsl
- Fix Icon missing from menu

0.17  Mon Aug 13 2007 
- Remove unused PUB_DIR make variable
- Remove 'redhat-' from FOP common paths
- Improve help text.
- Add error message for trying to build language without po files
- Added error message for trying to report on a language with no PO files
- Added error message for trying to build reports without POT files

0.16  Fri Jun 29 2007 
- Added img.src.path to admon.graphics.path
- Moved header.navigation and footer.navigation from xhtml-common to main-html
- Removed 'redhat' from name
- Remove NOCHUNK param, Added html-single targets
- Added eclipse support
- removed xmlto Requires
- added Legal_Notice.xml for future books. Boilerplate.xml remains for back compatibility.
- Fix rpm link creation
- Added creation of format specific rpms
- Added rmImages script to remove unused images from build directory
- Removed per Product content directories
- default version to 0

0.15  Wed Jun 27 2007 
- remove id from list-labels in questions & answers (duplicate id bug) 
- Fixed bogus publish path for Reports

0.14  Wed Jun 27 2007 
- Added test-all target
- Disabled Hyphenation in FOP, zh PDFs hanging service

* Tue Jun 26 2007 Joshua Wulf <jwulf@redhat.com> 0.13
- Added JBEAP and JBEAPVER entities
- Optimised spec file creation

0.12  Mon Jun 25 2007 
- Fix css rule that broke links

0.11  Tue May 08 2007 
- add DocBook 4.5 DTD to package
- add DocBook 1.72.0 xsl to package
- modify makefiles to use new DocBook catalogs
- xmlClean:
-         Changed DTD from 4.3 to 4.5
-         Added bookname to node id's to help avoid id clashes in sets
-         Fixed line wrap issue in PDF generation for zh-CN and zh-TW
-         Enforced validation of xml on all build targets
-         Add legalnotice tag 
-         Add address tag 
-         Add street tag 
-         Add city tag 
-         Add state tag 
-         Add postcode tag 
-         Add country tag 
-         Add phone tag 
-         Add fax tag 
-         Add pob tag 
-         Add preface tag 
-         Add bibliograpy related tags 
-         Add qandaset related tags 
- Removed Confidential image and restyle confidential html text
- Added po2xlf script
- Added xlf2po script
- Added perl-XML-SimpleObject to Requires, used in xliff code
- Fixed Makefile.GUI updating po file for source lang
- Updated custom xml to match 1.72 docbook xsl
- Removed MuktiNarrow fonts - using lohit-bn
- Removed ZYSong18030 & ARPLSungtiLGB fonts - unused
- Modified Publish output line in logfile to be a URL
- Fixed creation of translated srpm
- Added Liberation fonts for PDF
- Removed DejaVuLGCSans fonts
- Turned on Line Wrap for monospace verbatim elements
- Moved entity SELinux from Translatable to Entities.ent, updated po files
- Added Legal_Notice to common
- Moved balance of non-translatable entities out of Translatable-entities.ent, updated po files
- Added missing Req perl-SGML-Translate, used for translation reports
- Updated documentation descriptions of Book_Info.xml tags. BZ #456489 BZ #456488


0.10  Tue May 01 2007 
- fix image dimensions on content/common/en-US/images/redhat-logo.svg
- remove leading space from rpm spec desription
- Made abstract wrap at 72 characters and be left aligned.
-   it's used for the spec description
- Move legal notice link param from xhtml.xsl to main-html so nochunks
-   target will have legal notice embedded in page

0.9.1  Tue Apr 24 2007 
- fix path to xsl <blush>

0.9  Tue Apr 24 2007 
- Fix "Use of uninitialized value in string eq at xmlClean line 272."
- Add facility to prune xml tree based on condition attribute.
- Made COMMON_CONTENT static 

0.8  Tue Apr 17 2007 
- fix non RHEL books not having the PRODUCT name attached to the
-  rpm and specfile to avoid duplicate name problems.
-  e.g. everyone has a Deployment_Guide so non RHEL books must be Fortitude-Deployment_Guide etc.

0.7  Tue Apr 17 2007 
- format temporary fo file as the lines where to long and confused FOP ... grrr
- fixed po files not having links updated when clean_ids is run

0.6  Tue Apr 17 2007 
- fix Book entity file being ignored
- add white space to TOC

0.5  Tue Apr 17 2007 
- Revert to kdesdk (xml2pot) to fix RHEL4 bug where entities would be dropped from pot file.
- Switching to gnome-docs-util creates ~1500 hours of translation work in the
- Deployment Guide alone making the switch impossible at this time :(
- This means inline xml comments will break translation due to a bug in the sdk.
- Added the 4 scripts from doc-tools to bin/* to avoid adding deps.
- Added missing PRODUCT en-US & pot dirs

0.4  Mon Apr 16 2007 
- Fix fop config file
- Roll back font metrics file to fop 0.2 format

0.3  Mon Apr 16 2007 
- Fix xmlClean, clean_ids was note validating xref ids correctly

0.2  Thu Apr 12 2007 
- Fix SYSTEM not being copied to PRODUCT properly
- Fix GUI Strings reports
- Fix GUI Strings css path
- Fix Set targets as per timp@redhat.com fix.

0.1.19  Wed Apr 11 2007 
- Change SYSTEM to PRODUCT as it more clearly defines what it's used for.
- Add content to README
- Fix 'make help' output for Books

0.1.18  Tue Apr 10 2007 
- Fix missing Entity file
- Remove graphic from boilerplate
- Fix fop metric path to meet new package path
- PDF Appendix, URL and title fixes

0.1.15  Mon Apr 02 2007 
- add 'a' to start of ID's that begin with numbers.
- stop DTD entity strings being written in clean_id mode
- fix pdf formatting issues
- Merge Common_Config
- add missing Requirements
- add DejaVuLGCSans for Russian books

0.1.13  Tue Mar 27 2007 
- add appendix and appendix info to xmlClean
- convert all configuration files from fop 0.20.5 to 0.93.0 format.
- remove copying of common configuration directory

0.1.12  Mon Mar 26 2007 
- bump rev for brew build

0.1.11  Fri Mar 23 2007 
- fixed use of dist

0.1.10  Thu Mar 22 2007 
- Switch to using gnome-doc-utils for po manipulation

0.1.9  Wed Mar 21 2007 
- Remove trailing space from text nodes in xmlClean
- add feed back for user

0.1.8  Tue Mar 20 2007 
- Fix re-creation of $cmd variable
- Add support for per arch build

0.1.6  Mon Mar 19 2007 
- Fix path for reports script

0.0  Wed Feb 07 2007 
- Initial creation



